%define module  epsilon

Name:          python-%{module}
Summary:       A small utility package
Version:       0.7.0
Release:       %mkrel 7
Group:         Development/Python 
URL:           https://launchpad.net/divmod.org
Source0:       https://pypi.python.org/packages/source/E/Epsilon/Epsilon-%{version}.tar.gz
License:       BSD
Provides:      python-Epsilon = %{version}
Provides:      Epsilon = %version
Requires:      python-twisted
BuildRequires: pkgconfig(python) 
BuildRequires: python-twisted
BuildRequires: python-setuptools
BuildRequires: fdupes
BuildArch:     noarch

%description
A small utility package that depends on tools too recent for Twisted (like
datetime in python2.4) but performs generic enough functions that it can be
used in projects that don't want to share the large footprint of Divmod's 
other projects.

%prep
%setup -q -n Epsilon-%version

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%fdupes $RPM_BUILD_ROOT%{python_sitelib}

%files
%doc README *.txt LICENSE
%{_bindir}/benchmark
%{python_sitelib}/*



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.7.0-7.mga6
+ Revision: 937470
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.7.0-6.mga6
+ Revision: 937023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 742211
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 luigiwalser <luigiwalser> 0.7.0-4.mga5
+ Revision: 728740
- add missing BR python-setuptools

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 688020
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Apr 02 2014 philippem <philippem> 0.7.0-1.mga5
+ Revision: 611351
- update to 0.7.0

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-6.mga4
+ Revision: 543240
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-5.mga4
+ Revision: 498552
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 09 2013 philippem <philippem> 0.6.0-4.mga4
+ Revision: 465025
- cleaning spec

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 378806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 55695
- rebuild to make all pythonegg requires/provides lowercase

* Sun Jan 23 2011 ennael <ennael> 0.6.0-1.mga1
+ Revision: 34387
- imported package python-epsilon


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 592308
- update to 0.6.0
- replace the obsolete %%py_requires macro with BR python-devel

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.11-3mdv2010.1
+ Revision: 523765
- rebuilt for 2010.1

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.5.11-2mdv2009.1
+ Revision: 319238
- rebuild for new python

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.11-1mdv2009.1
+ Revision: 318716
- rebuild for python 2.6
- new release 0.5.11

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.5.9-2mdv2009.0
+ Revision: 265541
- rebuild early 2009.0 package (before pixel changes)

* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 0.5.9-1mdv2009.0
+ Revision: 188906
- Update to 0.5.9.
  Don't install build files.
- Build as noarch package.
  Include license.

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Mon Jan 28 2008 Erwan Velu <erwan@mandriva.org> 0.5.8-1mdv2008.1
+ Revision: 159481
- Fixing missing buildrequires
- Fixing typo
- 0.5.8
- 0.5.8 (needed by python-axiom)

* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 0.2.1-1mdv2008.1
+ Revision: 158802
- Fix the mess on provides and description
- import python-epsilon


* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1-1mdv2008.1
- First release for Mandriva.

